package com.hzya.frame.plugin.lets.plugin.transfer;

import com.hzya.frame.WebappApplication;
import com.hzya.frame.plugin.lets.plugin.adjust.AdjustInPluginInitializer;
import com.hzya.frame.plugin.lets.plugin.adjust.AdjustOutPluginInitializer;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = WebappApplication.class)
public class TransferTest {
//    @Autowired
//    private TransferPluginInitializer transferPluginInitializer;

    @Autowired
    private TransferInPluginInitializer transferInPluginInitializer;
    @Autowired
    private TransferOutPluginInitializer transferOutPluginInitializer;
    @Autowired
    private AdjustInPluginInitializer adjustInPluginInitializer;
    @Autowired
    private AdjustOutPluginInitializer adjustOutPluginInitializer;

    ////////////////////////////////////////////////////////////////////////////////////调拨订单
//    @Test
//    public void t00(){
//        transferPluginInitializer.start();
//    }
//    @Test
//    public void t01(){
//        transferPluginInitializer.start("LETS-TH2024080800000002");
//    }



    ////////////////////////////////////////////////////////////////////////////////////调拨出库单

    @Test
    public void t10(){
        transferOutPluginInitializer.start("LETS-SH2024082800000001");
    }

    @Test
    public void t11(){
        transferOutPluginInitializer.start("2024-08-06","2024-08-11");
    }
    @Test
    public void t12() throws Exception {
        transferOutPluginInitializer.queryOfsTransderOrder("LETS-TH2024082700000002");
    }

    ////////////////////////////////////////////////////////////////////////////////////调拨入库单
    @Test
    public void t20(){
        transferInPluginInitializer.start();
    }
    @Test
    public void t21(){
        transferInPluginInitializer.start("LETS-RE2024082700000003");
    }




    ////////////////////////////////////////////////////////////////////////////////////调整入库单
    @Test
    public void t30(){
        adjustInPluginInitializer.start();
    }
    @Test
    public void t31(){
        adjustInPluginInitializer.start("LETS-RE2024082700000003");
    }
    @Test
    public void t32(){
        adjustInPluginInitializer.start("2024-08-14","2024-08-20");
    }

    ////////////////////////////////////////////////////////////////////////////////////调整出库单
    @Test
    public void t40(){
        adjustOutPluginInitializer.start();
    }
    @Test
    public void t41(){
        adjustOutPluginInitializer.start("LETS-SH2024082700000001");
    }
    @Test
    public void t42(){
        adjustOutPluginInitializer.start("2024-08-08","2024-08-13");
    }

    @Test
    public void t43() throws Exception {
        adjustOutPluginInitializer.queryOfsAdjustOrders("LETS-AH2024082200000001");
    }

}
